Update Project

This operation adds or removes websites, keywords, competitors or search engines in a project. It can also change the search depth or the update frequency.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

The objects within "websites", "keywords" must include operation codes based on what you're trying to do: add new inputs, remove or edit existing ones. These operation codes are:

  • add: 0
  • remove: 1
  • edit: 2

Here are some examples of how to edit websites and keywords:

[
  {
    "name": "yahoo.com",
    "aliases": "*.yahoo.com\/,*.youtube.com\/watch?v=pFfJwk8,*.dailymotion.com\/video\/98aXfl",
    "color_r": 85,
    "color_g": 145,
    "color_b": 50,
    "operation": 0,
    "_comment": "add a new website"
  },
  {
    "name": "mtv.com",
    "operation": 1,
    "_comment": "remove a website"
  },
  {
    "name": "vh1.com",
    "aliases": "*.youtube.com\/",
    "color_r": 14,
    "color_g": 32,
    "color_b": 77,
    "operation": 2,
    "_comment": "edit a website (add aliases, change colors)"
  }
]
[
  {
    "name": "my added keyword",
    "color_r": 32,
    "color_g": 192,
    "color_b": 208,
    "operation": 0
  },
  {
    "name": "my keyword",
    "color_r": 64,
    "color_g": 128,
    "color_b": 64,
    "operation": 2,
    "kw_groups": ["keyword group 1", "keyword group 2"],
    "_comment": "edit a keyword - change colors and add it to 2 keyword groups"
  },
  {
    "name": "my removed keyword",
    "operation": 1
  }
]
Body Params
string
required

Your project's name as shown in your AWR account.
Use URL encoding, for example: "My Project/DE" => "My Project%2FDE".

int32

Between 1 and 10 (pages).

string
enum

Your project's update frequency.

Allowed:
websites
array of objects
websites
keywords
array of objects
keywords
addSearchengines
object

This allows you to add search engines to your project.

removeSearchengines
array of objects

This allows you to remove search engines from your project.

removeSearchengines
Response

Language
Credentials
Query
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json